       SUBROUTINE PRINTIT
       WRITE (6,10)
   10  FORMAT (1X, ' HELLO, I HOPE YOU ARE HAVING A NICE DAY')
       RETURN
       END
       A = 5.32
       B = 9.17
       CALL PRINTIT
       WRITE (6, 32) A,B

       CALL SWITCH (A,B)
       WRITE (6, 32) A,B
   32  FORMAT (1X, ' A IS ' , F10.2,  ' B IS ',  F 6.3)
       ANSWER = SQUARE (  A)
       WRITE (6, 56) ANSWER
   56  FORMAT (1X, F10.5)
       STOP
       END
       SUBROUTINE SWITCH (X,Y)
       TEMP = X
       X = Y
       Y = TEMP
       RETURN
       END
       FUNCTION SQUARE (X)
       SQUARE = X * X
       
       RETURN
       END
